/***************************************************************
Copyright (C) 2010 Kevin Allen

This file is part of kacq.

kacq is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

kacq is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with kacq.  If not, see <http://www.gnu.org/licenses/>.



file with the functions to draw the signal as in an oscilloscope
***************************************************************/
int oscilloscope_interface_init(struct oscilloscope_interface* osc)
{
  // we should use the acquisition_interface to set these variables
  
  osc->number_groups=OSCILLOSCOPE_GROUPS;
  osc->max_channels_per_group=MAX_CHANNELS_PER_GROUP;
  osc->seconds_per_page=MAX_TIME_SEC_IN_OSCILLOSCOPE_PAGE;


  osc->samples_per_page=DEFAULT_SAMPLING_RATE*osc->seconds_per_page;
  osc->number_channels=MAX_CHANNELS;
  osc->page_size=osc->samples_per_page*osc->number_channels;
  osc->buffer_size=MAX_BUFFER_LENGTH*MAX_DEVICES*FACTOR_OSCILLATORY_BUFFER;
  osc->number_pages_in_buffer=
  return 0;
}
